Page MenuHomePhabricator

Engage with established technical communities at the Wikimedia Hackathon 2015
Closed, ResolvedPublic

Description

Following up with T926: Engage with established technical communities and our discussions about improving our outreach to newcomers in Wikimedia hackathons, we would need to set a goal for the Wikimedia Hackathon in Lyon. Something along the lines of reaching out to established communities in Lyon / France / surroundings and having sessions for onboarding them.

I think the collaboration with OpenStreetMap in Zürich at a more advanced level was also good (regular contributors from OSM and Wikimedia taking the chance to meet face to face). We should encourage this type of meetings during the hackathon.

This needs to be done with some time in advance, in order to sync it with our travel sponsorship process.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedTgr
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
ResolvedJdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren
ResolvedQgil
ResolvedQgil
ResolvedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil

Event Timeline

Qgil created this task.Dec 1 2014, 9:46 AM
Qgil raised the priority of this task from to Lowest.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Rfarrand, JeanFred.
Qgil added a subscriber: AlexCella.Jan 27 2015, 3:30 PM
Gilles added a subscriber: Gilles.Feb 9 2015, 7:50 AM
Tpt added a subscriber: Tpt.Feb 25 2015, 9:03 AM

(While T88274 is about outreach efforts in France, this task focuses on attracting the contributors at an international level, focusing more on upstream maintainers and key developers of neighbor projects.)

We know that Wikidata and Mobile apps will be main areas at the Wikimedia Hackathon. Which groups can we reach out in Lyon / France? Which activities should we plan for them?
These two areas cover very popular topics with established communities: open data, open knowledge, Android, iOS, mobile development... All newcomers are welcome, but when it comes to our outreach efforts, I would focus in these two. Event program, promotion, and travel sponsorship should be well aligned in order to bring many and great new contributors.

Qgil claimed this task.Apr 6 2015, 4:10 PM
Qgil added a subscriber: Nemo_bis.

I proposed the members of a meetup in Milan to join the hackathon (encouraged by the meetup organiser): http://www.meetup.com/MilanoPHP/
It should be possible to do the same for meetup groups of cities on the main railways hubs: http://bons-plans.be.voyages-sncf.com/fr/sites/default/files/images/900x600_carte_0.jpg

Qgil raised the priority of this task from Lowest to High.Apr 15 2015, 8:57 PM
Qgil moved this task from Backlog to Ready to Go on the ECT-April-2015 board.Apr 15 2015, 9:29 PM
Qgil added a comment.Apr 20 2015, 1:16 PM

@AlexCella, @Rfarrand, I have started a sheet "Invited" in the Hackathon Attendees spreadsheet, in order to list developers that have been recommended. We should evaluate them (including the estimated cost of their travel) and invite them.

That's great! :)

Jamie Thinglestad -- runs WikiApiary

If he is willing to join, I think he is a clear case.

Chris Koerner -- applied for sponsorship, runs MW for Mercy Hospitals in St Louis. Organising SMWCon in St Louis.

Chris already applied for sponsorship and is going through the regular process.

The following three engineers at NASA have done some great work over the
past few years in using SMW into their workflows for providing training
for Extravehicular Activity (i.e "Space walks") at NASA. They've
released some code and have started running the "Enterprise MediaWiki"
meet up in the Houston area.
Daren Welsh https://www.mediawiki.org/wiki/User:Darenwelsh
Scott Wray
James Montalvo https://www.mediawiki.org/wiki/User:Jamesmontalvo3

Interesting. I don't know whether we have budget for covering three trips from USA, but we could definitely consider one, and maybe two since the institution they represent is an exceptional one. Have you contacted them, and would they be willing to come?

Rjain added a subscriber: Rjain.Apr 22 2015, 12:30 PM

Interesting. I don't know whether we have budget for covering three trips from USA, but we could definitely consider one, and maybe two since the institution they represent is an exceptional one. Have you contacted them, and would they be willing to come?

I have talked to them about it before, but, while they were interested they didn't think they could get sponsorship. I've emailed them and CC'd you.

Qgil added a comment.Apr 29 2015, 8:30 AM

@AlexCella, @Rfarrand, I have updated the spreadsheet with the (only) four people recommended to be invited. It would be great if you could confirm the decisions on their travel sponsorship today, so we could send them invitations.

Good for Sylvain and I. Should I send them email or Quim will do?

No need for visa for all of them though, that's cool. ;)

WMFr will be sending acceptance email to them today as per our conversation from this morning's meeting.

Deskana removed a subscriber: Deskana.Apr 30 2015, 7:02 PM
Qgil moved this task from Backlog to Doing on the ECT-May-2015 board.May 5 2015, 4:31 PM

Two people from NASA will be coming.
20 - 25 students from Epitech will be coming and camping on the lawn
Alex has reached out to topgeek.net
Alex and Adam Baso have been in touch with CocoaHeads in Lyon about attending

Qgil closed this task as Resolved.May 28 2015, 1:02 PM

Even if the participation of two MediaWiki developers from NASA was a success, it doesn't count as a developer community.

From our several attempts (timid attempts, but the first ones we have done at the Wikimedia Hackathon), the one with Epitech was very successful. The students were engaged in several projects, I believe all of them had an experience buddy to reach out, and some of them presented on stage at the showcase. It was a very good experience that we will try and fine tune in future editions.

So yes, not as much and as diverse as I expected, but still very good and unseen in previous Wikimedia Hackathons. Thank you to all the Wikimedians who made this happen!

PS: ... and the first contact with Epitech was established at the Wikimedia booth in FOSDEM (Brussels). This is how projects help other projects!